Subject: bug#30602: closed (Re: bug#30602: guix pull failures at and after 0458ab53f6ab58c42f379b8e7d55d130df4232e3)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Jul 2018 15:27:02 +0000

Your bug report

#30602: 'guix pull' fails with: "Module named (system repl debug) does not exist"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30602: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30602
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30602: guix pull failures at and after 0458ab53f6ab58c42f379b8e7d55d130df4232e3
From: [email-masked] (Ludovic Courtès)
To: Alex ter Weele <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 Jul 2018 17:26:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Alex ter Weele <[email-masked]> skribis:

>     $ bzcat $(guix build --log-file /gnu/store/ciawm53ygcvs7gfpb54wpzb4kkgnag9i-guix-latest.drv)
>     copying and compiling to '/gnu/store/r82flrikwwd6ir0qlbc8ssm1n1m2z9dw-guix-latest' with Guile 2.2.3...
>     loading...	 25.9% of 667 filesrandom seed for tests: 1519531629
>     compiling...	100.0% of 667 files
>     Backtrace:
>     Exception thrown while printing backtrace:
>     In procedure public-lookup: Module named (system repl debug) does not exist

With Guile 2.2.4, which includes several thread-safety fixes in the
module system and VM, and which ‘guix pull’ uses since commit
084f64cb032b6ab4ce326b088d230bd1ead53ee2, the problem appears to be
gone.

Closing!

Ludo’.

Subject: guix pull failures at and after 0458ab53f6ab58c42f379b8e7d55d130df4232e3
From: Alex ter Weele <[email-masked]>
To: [email-masked]
Date: Sat, 24 Feb 2018 22:36:17 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I and at least one other person on #guix observered guix pull failing
around 2018-02-25. I am using this commit:

    $ guix --version
    guix (GNU Guix) f09cb93e3a2310f7726cb98fa5679c1a8483c39f
    Copyright (C) 2018 the Guix authors
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.

Pulling commit 0458ab53f6ab58c42f379b8e7d55d130df4232e3 is failing
reliably for me, but other people were unable to reproduce. Here is the
output:

    $ guix pull --commit=0458ab53f6ab58c42f379b8e7d55d130df4232e3
    Updating from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
    Building from Git commit 0458ab53f6ab58c42f379b8e7d55d130df4232e3...
    substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
    The following derivation will be built:
    /gnu/store/ciawm53ygcvs7gfpb54wpzb4kkgnag9i-guix-latest.drv
    copying and compiling to '/gnu/store/r82flrikwwd6ir0qlbc8ssm1n1m2z9dw-guix-latest' with Guile 2.2.3...
    loading...       25.9% of 667 filesrandom seed for tests: 1519531629
    compiling...    100.0% of 667 files
    Backtrace:
    Exception thrown while printing backtrace:
    In procedure public-lookup: Module named (system repl debug) does not exist

    Some deprecated features have been used.  Set the environment
    variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
    program to get more information.  Set it to "no" to suppress
    this message.
    builder for `/gnu/store/ciawm53ygcvs7gfpb54wpzb4kkgnag9i-guix-latest.drv' failed with exit code 1
    guix pull: error: build failed: build of `/gnu/store/ciawm53ygcvs7gfpb54wpzb4kkgnag9i-guix-latest.drv' failed

Pulling the current tip also fails:

    $ guix pull --commit=0181df537ffb4e4273b2ca005738fdb7bd3d73f5
    Updating from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
    Building from Git commit 0181df537ffb4e4273b2ca005738fdb7bd3d73f5...
    The following derivation will be built:
    /gnu/store/l4zlr66svshwhp5mmv597mr0s5rj3hvi-guix-latest.drv
    copying and compiling to '/gnu/store/aqqlcynpjv7lm0f6icvg35m2nvp05vrg-guix-latest' with Guile 2.2.3...
    loading...       25.9% of 667 filesrandom seed for tests: 1519530903
    compiling...    100.0% of 667 files
    Backtrace:
    Exception thrown while printing backtrace:
    In procedure public-lookup: Module named (system repl debug) does not exist

    Some deprecated features have been used.  Set the environment
    variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
    program to get more information.  Set it to "no" to suppress
    this message.
    builder for `/gnu/store/l4zlr66svshwhp5mmv597mr0s5rj3hvi-guix-latest.drv' failed with exit code 1
    guix pull: error: build failed: build of `/gnu/store/l4zlr66svshwhp5mmv597mr0s5rj3hvi-guix-latest.drv' failed

I tried to reproduce the problem by building locally, but a clean build
from that commit succeeds.

    git rev-parse HEAD && guix environment guix -- make -j4
    0458ab53f6ab58c42f379b8e7d55d130df4232e3
    GEN      doc/os-config-bare-bones.texi
    GEN      doc/os-config-lightweight-desktop.texi
    GEN      nix/libstore/schema.sql.hh
    GEN      doc/os-config-desktop.texi
    echo 0.14.0.2563-0458a > ".version-t" && mv ".version-t" ".version"
    make  all-recursive
    make[1]: Entering directory '/home/alex/src/guix'
    ...
    Some deprecated features have been used.  Set the environment
    variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
    program to get more information.  Set it to "no" to suppress
    this message.
    make[2]: Leaving directory '/home/alex/src/guix'
    make[1]: Leaving directory '/home/alex/src/guix'

    Compilation finished at Sat Feb 24 22:31:18

Anything else I can try? The commits in question have nothing to do with
the mechanics of guix pull, AFAICT, which makes this even stranger.